> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a line item

> Get a list of changes to line item objects. Returns 1000 (or fewer) changes, starting with the _least recent_ change. This endpoint is designed to be polled periodically, allowing your integration to keep track of which objects have been updated so that you can get the details of those updated objects. After each request, the timestamp, changeType, and objectId of the most recently changed record (which will be the last record in the returned list of changes) should be stored by your integration, as you can use those values to get changes that occurred later, allowing you to pull only changes that occurred after your last polling request. All three values must be stored, as the combination of those values is what your integration needs to use to get changes that occurred after your last polling attempt. See the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json PUT /crm-objects/v1/objects/line_items/{id}
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/{id}:
    put:
      summary: Update a line item
      description: >-
        Get a list of changes to line item objects. Returns 1000 (or fewer)
        changes, starting with the _least recent_ change. This endpoint is
        designed to be polled periodically, allowing your integration to keep
        track of which objects have been updated so that you can get the details
        of those updated objects. After each request, the timestamp, changeType,
        and objectId of the most recently changed record (which will be the last
        record in the returned list of changes) should be stored by your
        integration, as you can use those values to get changes that occurred
        later, allowing you to pull only changes that occurred after your last
        polling request. All three values must be stored, as the combination of
        those values is what your integration needs to use to get changes that
        occurred after your last polling attempt. See the example for more
        details.
      operationId: putcrmobjectsv1objectslineitemsid
      responses:
        '200':
          description: Successful response - Get a list of changes to line item objects
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a line item - Example 1
                  value:
                    - name: description
                      value: >-
                        An updated description for this line item. Updating the
                        quantity.
                    - name: quantity
                      value: '5'
                    - versions:
                        - name: amount
                          value: '137.50'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                      value: '137.50'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: LineItemAmountCalculator
                    - versions:
                        - name: quantity
                          value: '5'
                          timestamp: 1525371765869
                          source: API
                          sourceVid: []
                      value: '5'
                      timestamp: 1525371765869
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '27.50'
                          timestamp: 1525359863627
                          source: API
                          sourceVid: []
                      value: '27.50'
                      timestamp: 1525359863627
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: >-
                            An updated description for this line item. Updating
                            the quantity.
                          timestamp: 1525371765869
                          source: API
                          sourceVid: []
                        - name: description
                          value: A description of this product.
                          timestamp: 1525359863627
                          source: API
                          sourceVid: []
                      value: >-
                        An updated description for this line item. Updating the
                        quantity.
                      timestamp: 1525371765869
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1688960'
                          timestamp: 1525371444427
                          source: API
                          sourceVid: []
                      value: '1688960'
                      timestamp: 1525371444427
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - crm.objects.line_items.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.line_items.write
        - private_apps_legacy: []
components: {}

````